<?php
    require('../conexion.php');
    $datos = json_decode(file_get_contents("php://input"), true);
    $products = $datos["products"];
    $i=0;
    try {
        //hace la conexión real con la BD
        $cnn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_NAME);
        mysqli_set_charset($cnn, "utf8mb4");

        mysqli_select_db($cnn, DB_NAME);

        try {
            foreach ($products as $product) {
                $clave              = $product['clave'];
                $nombre             = $product['nombre'];
                $precio             = $product['precio'];
                $clasificacion      = $product['clasificacion'];
                $estatus            = $product['estatus'];
                $costo_rec          = $product['costo_rec'];
                $redondeado         = $product['redondeado'];
                $observaciones      = $product['observaciones'];
                $id_prd             = $product['id'];
                $query="UPDATE productos SET 
                                pro_clave = '$clave', 
                                pro_nombre = '$nombre', 
                                pro_precio_venta ='$precio', 
                                pro_clasificaciones = '$clasificacion', 
                                pro_estatus = '$estatus' , 
                                pro_costo_receta='$costo_rec',
                                pro_redondenado='$redondeado',
                                pro_observaciones = '$observaciones'
                                where id = $id_prd;";
                
                $res = mysqli_query($cnn, $query);
                $i=1;
            }
            echo $i;
        } catch (Exception $e) {
            echo $e;
        }
            

        #$cnn->close();

        return $res;

    } catch (mysqli_sql_exception $e) {
        error_log("MySQL Error: " . $e->getMessage());
        return false;
    } 
?>